# evalhyd

Utility to evaluate deterministic and probabilistic streamflow predictions

Documentation: https://hycar-hydro.gitlab.irstea.page/evalhyd/evalhyd-docs/cpp

## How to build

Configure project in debug mode finding libraries in conda environment:
```shell
cmake -B build/ -D CMAKE_BUILD_TYPE=Debug -D CMAKE_PREFIX_PATH="$CONDA_PREFIX"
```

Compile with:
```shell
cmake --build build/ --parallel 2
```

Run tests with:
```shell
./build/tests/evalhyd_tests  
```

## How to install

```shell
cmake --install build/ --prefix <path>
```
